summaryrefslogtreecommitdiff
path: root/configs/profile/root-image/root
diff options
context:
space:
mode:
authorEsteban Carnevale <alfplayer@mailoo.org>2013-09-02 20:03:39 -0300
committerEsteban Carnevale <alfplayer@mailoo.org>2013-09-02 20:03:39 -0300
commit17803d20925a72d31dbdbacf56cb0a7d2db6efcb (patch)
tree0ed799451bc20f98eeccbeb4bfca4dafa0fa3133 /configs/profile/root-image/root
parenta5139a6e4ed897d59c900d8ea991c60a19d01862 (diff)
Leave only directory for profile releng
Diffstat (limited to 'configs/profile/root-image/root')
-rwxr-xr-xconfigs/profile/root-image/root/.automated_script.sh34
-rw-r--r--configs/profile/root-image/root/.zlogin1
-rwxr-xr-xconfigs/profile/root-image/root/customize_root_image.sh20
-rw-r--r--configs/profile/root-image/root/install.txt3
4 files changed, 58 insertions, 0 deletions
diff --git a/configs/profile/root-image/root/.automated_script.sh b/configs/profile/root-image/root/.automated_script.sh
new file mode 100755
index 0000000..fb106da
--- /dev/null
+++ b/configs/profile/root-image/root/.automated_script.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+script_cmdline ()
+{
+ local param
+ for param in $(< /proc/cmdline); do
+ case "${param}" in
+ script=*) echo "${param##*=}" ; return 0 ;;
+ esac
+ done
+}
+
+automated_script ()
+{
+ local script rt
+ script="$(script_cmdline)"
+ if [[ -n "${script}" && ! -x /tmp/startup_script ]]; then
+ if [[ "${script}" =~ ^http:// || "${script}" =~ ^ftp:// ]]; then
+ wget "${script}" --retry-connrefused -q -O /tmp/startup_script >/dev/null
+ rt=$?
+ else
+ cp "${script}" /tmp/startup_script
+ rt=$?
+ fi
+ if [[ ${rt} -eq 0 ]]; then
+ chmod +x /tmp/startup_script
+ /tmp/startup_script
+ fi
+ fi
+}
+
+if [[ $(tty) == "/dev/tty1" ]]; then
+ automated_script
+fi
diff --git a/configs/profile/root-image/root/.zlogin b/configs/profile/root-image/root/.zlogin
new file mode 100644
index 0000000..f598e43
--- /dev/null
+++ b/configs/profile/root-image/root/.zlogin
@@ -0,0 +1 @@
+~/.automated_script.sh
diff --git a/configs/profile/root-image/root/customize_root_image.sh b/configs/profile/root-image/root/customize_root_image.sh
new file mode 100755
index 0000000..7c9a003
--- /dev/null
+++ b/configs/profile/root-image/root/customize_root_image.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e -u
+
+sed -i 's/#\(en_US\.UTF-8\)/\1/' /etc/locale.gen
+locale-gen
+
+ln -sf /usr/share/zoneinfo/UTC /etc/localtime
+
+usermod -s /usr/bin/zsh root
+cp -aT /etc/skel/ /root/
+
+useradd -m -p "" -g users -G "adm,audio,floppy,log,network,rfkill,scanner,storage,optical,power,wheel" -s /usr/bin/zsh parabola
+
+chmod 750 /etc/sudoers.d
+chmod 440 /etc/sudoers.d/g_wheel
+
+sed -i "s/#Server/Server/g" /etc/pacman.d/mirrorlist
+
+systemctl enable multi-user.target pacman-init.service choose-mirror.service
diff --git a/configs/profile/root-image/root/install.txt b/configs/profile/root-image/root/install.txt
new file mode 100644
index 0000000..87b85cb
--- /dev/null
+++ b/configs/profile/root-image/root/install.txt
@@ -0,0 +1,3 @@
+View this installation guide online at
+https://wiki.parabolagnulinux.org/index.php/Installation_Guide
+